Evaluation Rules
Create or update an evaluation rule
Creates a new evaluation rule, or replaces the existing rule when the identifier matches.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
경로 매개 변수
id
string
필수
Unique identifier for the evaluation rule.
헤더 매개 변수
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
요청 본문
Evaluation rule resource
id
string
필수
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
필수
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
필수
evalId
string
필수
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
필수
templateId
string
필수
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
필수
Filter by agent name.
eventType
string | enum
필수
Type of the evaluation rule event.
enum
enabled
boolean
필수
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
필수
System metadata for the evaluation rule.
응답
The request has succeeded.
본문
id
string
필수
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
필수
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
필수
evalId
string
필수
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
필수
templateId
string
필수
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
필수
Filter by agent name.
eventType
string | enum
필수
Type of the evaluation rule event.
enum
enabled
boolean
필수
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
필수
System metadata for the evaluation rule.
요청
PUT /evaluationrules/{id} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json